NVIDIA GPU Display Driver for Linux contains a vulnerability in the kernel mode layer (nvidia.ko), where an out-of-bounds array access may lead to denial of service, data tampering, or information disclosure.
Published 2022-12-30 23:15:11
Updated 2023-10-19 01:21:05
View at NVD,   CVE.org
Vulnerability category: Denial of serviceInformation leak

Exploit prediction scoring system (EPSS) score for CVE-2022-42254

0.04%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 7 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2022-42254

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
7.8
HIGH CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
1.8
5.9
NIST
5.3
MEDIUM CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L
1.8
3.4
NVIDIA Corporation

CWE ids for CVE-2022-42254

  • The product reads data past the end, or before the beginning, of the intended buffer.
    Assigned by: psirt@nvidia.com (Secondary)
  • The product uses untrusted input when calculating or using an array index, but the product does not validate or incorrectly validates the index to ensure the index references a valid position within the array.
    Assigned by: nvd@nist.gov (Primary)

References for CVE-2022-42254

Products affected by CVE-2022-42254

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!